# $Revision: 1.17 $, $Date: 2007/02/17 17:29:12 $
Summary:	A utility for managing .Xauthority files
Summary(de.UTF-8):	Red Hat X-Autoritäts-Utility
Summary(es.UTF-8):	Utilitario de Autorización X
Summary(fr.UTF-8):	Utilitaire Red Hat pour les permissions X
Summary(ja.UTF-8):	.Xauthority ファイルを管理するためのユーティリティ。
Summary(pl.UTF-8):	Narzędzie do zarządzania plikami .Xauthority
Summary(pt_BR.UTF-8):	Utilitário de Autorização X
Summary(tr.UTF-8):	Red Hat X yetki aracı
Name:		mkxauth
Version:	1.7
Release:	18
License:	GPL
Group:		X11/Applications
Source0:	%{name}
Source1:	%{name}.1x
BuildArch:	noarch
Requires:	/usr/bin/xauth
Requires:	fileutils
Requires:	gzip
Requires:	procps
Requires:	sh-utils
Requires:	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mkxauth utility helps create and maintain X authentication
databases (.Xauthority files). Mkxauth is used to create an
.Xauthority file or to merge keys from another local or remote
.Xauthority file. .Xauthority files are used by the xauth
user-oriented access control program, which grants or denies access to
X servers based on the contents of the .Xauthority file.

The mkxauth package should be installed if you're going to use
user-oriented access control to provide security for your X Window
System (a good idea).

%description -l de.UTF-8

kxauth' hilft beim Erstellen und Verwalten von X-Authentifizierungs-
Datenbanken (.Xauthority-Dateien). Sie können eine ~/.Xauthority-Datei
erstellen oder Schlüssel aus einer anderen lokalen oder entfernten
.Xauthority- Datei einfügen. .Xauthority-Dateien können über FTP (mit
ncftp) oder rsh wiederhergestellt werden. Aus Sicherheitsgründen
erstellt mkxauth keine Temporärdateien, die
Authentifizierungsschlüssel enthalten.

%description -l es.UTF-8
'mkxauth' ayuda en la creación y manutención de bancos de datos de
autentificación X (archivos .Xauthority). Úsalo para crear un archivo
~/.Xauthority o para unir una llave de otro local o archivo
.Xauthority remoto. Se pueden recuperar archivos remotos .Xauthority
vía FTP (usando ncftp) o vía rsh. Por seguridad, mkxauth no crea
cualquier de los archivos temporales conteniendo llaves de
autentificación.

%description -l fr.UTF-8
mkxauth aide à la création et la maintenance des bases de données
d'authentification X (fichiers .Xauthority). Utilisez le pour créer un
fichier ~/.Xauthority ou pour fusionner des clés à partir d'un autre
fichier .Xauthority, local ou distant. Les fichiers .Xauthority
distants peuvent être obtenus via FTP (avec ncftp) ou via rsh. Pour
des raisons de sécurité, mkxauth ne crée pas de fichiers temporaires
contenant les clés d'authentification.

%description -l ja.UTF-8
mkxauth ユーティリティは X 認証データベース ( .Xauthority ファイル )
の 生成と整備を助けます。mkxauth は .Xauthority ファイルの生成、
ローカルまたはリモートの .Xauthority
ファイルの鍵の統合に用いられます。 .Xauthority
ファイルは、その内容に基づいて X サーバへのアクセスの
承諾、拒否をする、ユーザ指向のアクセスコントロールプログラムである
xauth に用いられます。

X ウィンドウシステムにセキュリティを提供するためにユーザ指向の
アクセスコントロールを用いようとするのなら、mkxauth パッケージは
インストールされるべきです (そしてそれはよい考えです)。

%description -l pl.UTF-8
Narzędzie mkxauth pomaga tworzyć i zarządzać bazami danych
autentykacji X (plikami .Xauthority). mkxauth jest używany do
tworzenia pliku .Xauthority oraz dołączania kluczy z innego lokalnego
lub zdalnego pliku .Xauthority. Pliki .Xauthority są używane przez
program kontroli dostępu xauth, pozwalający lub nie na dostęp do X
serwerów na podstawie zawartości pliku .Xauthrity.

%description -l pt_BR.UTF-8
'mkxauth' ajuda na criação e manutenção de bancos de dados de
autenticação X (arquivos .Xauthority). Use-o para criar um arquivo
~/.Xauthority ou para unir uma chaves de outro local ou arquivo
.Xauthority remoto. Arquivos remotos .Xauthority podem ser recuperados
via FTP (usando ncftp) ou via rsh. Por segurança, mkxauth não cria
quaisquer arquivos temporários contendo chaves de autenticação.

%description -l tr.UTF-8
mkxauth, X yetki veritabanlarının (.Xauthority dosyaları)
oluşturulması ve bakımında yardımcı olur. Güvenlik açısından mkxauth,
yetki anahtarları içeren geçici dosyalar oluşturmaz.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/mkxauth
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/mkxauth.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkxauth
%{_mandir}/man1/mkxauth*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mkxauth.spec,v $
Revision 1.17  2007/02/17 17:29:12  baggins
- rel 18
- switch to modular xorg

Revision 1.16  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.14  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.13  2003/09/09 11:44:12  ankry
- sorted (Build)Requires

Revision 1.12  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:53:35  juandon
- removed two lines with define

Revision 1.10  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/07 13:05:29  kloczek
- added empty %prep.

Revision 1.6  2001/11/12 15:22:41  kloczek
- bump release to 17,
- merge translations from CNV, Kondara and old Bero translations too.

Revision 1.5  2001/11/12 13:56:55  qboosh
- Group=X11/Applications, adapterized, pl translations, fixed install/files

Revision 1.4  2000/11/28 16:19:59  dobrek
- mkxauth.1x changed to mkxauth*

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
